.nav_toggle {
	left: 0;
	right: 0;
	top: 76px;
	color: #fff;
	z-index: 1000;
	font-weight: 500;
	font-size: 1.5rem;
	line-height: 20px;
	padding: 7px 15px;
	position: fixed;
	text-decoration: none;
	background: $color-green;
	text-transform: uppercase;
	display: flex;
	align-items: center;
	justify-content: center;

	&:hover {
		color: #fff;
		text-decoration: none;
	}

	i {
		width: 18px;
		height: 12px;
		font-size: 0;
		line-height: 0;
		position: relative;
		display: inline-block;

		span,
		&:after,
		&:before {
			left: 50%;
			width: 18px;
			height: 2px;
			content: '';
			background: #fff;
			margin-left: -9px;
			position: absolute;
			display: inline-block;
		}

		&:before {
			top: 0;
		}

		&:after {
			bottom: 0;
		}

		span {
			top: 50%;
			margin-top: -1px;
		}
	}

	> span {
		padding-left: 6px;
		display: inline-block;
	}

	&.open {

		i {

			span {
				display: none;
			}

			&:before {
				top: 5px;
				@include rotate(45deg);
			}

			&:after {
				bottom: 5px;
				@include rotate(-45deg);
			}
		}
	}

	@media (min-width: $screen-xl-min) {
		display: none;
	}
}

.nav {
	left: 0;
	right: 0;
	top: 110px;
	opacity: 0;
	padding: 30px 0;
	z-index: 1200;
	position: fixed;
	overflow-y: auto;
	visibility: hidden;
	border-top: 1px solid #46a259;
	height: calc(100% - 110px);
	background: $color-green;
	display: flex;
	flex-direction: column;
	@include transition(.25s);

	&__inner {
		margin: auto 0;
	}

	&__menu {
		padding: 0 0 15px 0;
		font-size: 1.6rem;
		line-height: 2rem;

		> ul {
			margin: 0;
			padding: 0;
			list-style: none;

			> li {

				> a {
					color: #fff;
					padding: 10px;
					font-weight: 500;
					text-align: center;
					text-decoration: none;
					display: flex;
					align-items: center;
					justify-content: center;

					i {
						font-size: 1.4rem;
						line-height: 1.4rem;
						margin-left: 7px;
					}

					&:hover {
						color: #fff;
						text-decoration: none;
					}
				}

				&:hover {

					> ul {
						display: block;
					}
				}

				> ul {
					margin: 0;
					padding: 0;
					display: none;
					list-style: none;

					> li {

						> a {
							width: 100%;
							color: #fff;
							padding: 10px;
							text-align: center;
							font-size: 1.4rem;
							line-height: 2rem;
							display: inline-block;
							text-decoration: none;

							&:hover {
								color: #fff;
								text-decoration: none;
							}
						}
					}
				}
			}
		}
	}

	&__contact {
		color: #fff;
		padding-top: 24px;
		text-align: center;
		border-top: 1px solid #46a259;

		&_title {
			font-weight: 300;
			font-size: 1.4rem;
			line-height: 2rem;
			margin-bottom: 5px;
		}

		&_phones {
			font-weight: 500;
			font-size: 1.8rem;
			line-height: 2rem;
			margin-bottom: 15px;

			a {
				color: #fff;
				white-space: nowrap;
				text-decoration: none;

				&:hover {
					color: #fff;
					text-decoration: none;
				}
			}
		}

		&_button {
			text-align: center;
		}
	}

	&__social {
		display: none;

		a {
			color: #fff;
			font-size: 1.4rem;
			line-height: 2.4rem;
			padding-left: 15px;
			white-space: nowrap;
			text-decoration: none;
			display: flex;
			align-items: center;

			.ico_svg {
				fill: #fff;
			}

			i {
				height: 20px;
				font-size: 0;
				line-height: 0;
				display: inline-block;
			}

			span {
				padding-left: 6px;
				display: inline-block;
			}

			&:hover {
				color: #fff;
				text-decoration: underline;

				.ico_svg {
					fill: #fff;
				}
			}
		}
	}

	&.open {
		opacity: 1;
		visibility: visible;
		@include transition(.25s);
	}

	@media (min-width: $screen-xl-min) {
		top: 112px;
		height: auto;
		padding: 0;
		opacity: 1;
		overflow: visible;
		visibility: visible;
		position: absolute;
		display: block;
		border-top: none;
		@include transition(0s);

		&.nav_fix {
			top: 0;
			position: fixed;
		}

		&__inner {
			margin: 0;
		}

		&__wrap {
			height: 56px;
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		&__contact {
			display: none;
		}

		&__menu {
			padding: 0;
			margin-left: -15px;

			> ul {
				display: flex;
				align-items: center;

				> li {
					position: relative;

					> a {
						height: 56px;
						white-space: nowrap;
						padding: 5px 15px;

						&:hover {
							color: #fff;
							background: $color-base;
						}
					}

					&:hover {

						> a {
							color: #fff;
							background: $color-base;
						}
					}

					> ul {
						top: 100%;
						left: 0;
						min-width: 100%;
						text-align: left;
						position: absolute;
						background: $color-base;

						li {

							a {
								width: 100%;
								color: #fff;
								white-space: nowrap;
								text-decoration: none;
								padding: 10px 15px;
								text-align: left;
								font-weight: 500;

								&:hover {
									color: #fff;
									text-decoration: none;
									background: $color-green;
								}
							}
						}
					}
				}
			}
		}

		&__social {
			display: flex;
			align-items: center;
		}
	}
}

